org.apache.poi.xssf.usermodel

## Class XSSFBorderFormatting

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFBorderFormatting

- All Implemented Interfaces:
    BorderFormatting

      public class XSSFBorderFormatting
      extends java.lang.Object
      implements BorderFormatting

  XSSF high level representation for Border Formatting component of Conditional Formatting settings

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BorderStyle` | `getBorderBottom()`
    `BorderStyle` | `getBorderBottomEnum()`
    `BorderStyle` | `getBorderDiagonal()`
    `BorderStyle` | `getBorderDiagonalEnum()`
    `BorderStyle` | `getBorderHorizontal()` Only valid for range borders, such as table styles
    `BorderStyle` | `getBorderHorizontalEnum()` Only valid for range borders, such as table styles
    `BorderStyle` | `getBorderLeft()`
    `BorderStyle` | `getBorderLeftEnum()`
    `BorderStyle` | `getBorderRight()`
    `BorderStyle` | `getBorderRightEnum()`
    `BorderStyle` | `getBorderTop()`
    `BorderStyle` | `getBorderTopEnum()`
    `BorderStyle` | `getBorderVertical()` Only valid for range borders, such as table styles
    `BorderStyle` | `getBorderVerticalEnum()` Only valid for range borders, such as table styles
    `short` | `getBottomBorderColor()`
    `XSSFColor` | `getBottomBorderColorColor()`
    `short` | `getDiagonalBorderColor()`
    `XSSFColor` | `getDiagonalBorderColorColor()`
    `short` | `getHorizontalBorderColor()` Range internal borders.
    `XSSFColor` | `getHorizontalBorderColorColor()` Range internal borders.
    `short` | `getLeftBorderColor()`
    `XSSFColor` | `getLeftBorderColorColor()`
    `short` | `getRightBorderColor()`
    `XSSFColor` | `getRightBorderColorColor()`
    `short` | `getTopBorderColor()`
    `XSSFColor` | `getTopBorderColorColor()`
    `short` | `getVerticalBorderColor()` Range internal borders.
    `XSSFColor` | `getVerticalBorderColorColor()` Range internal borders.
    `void` | `setBorderBottom(BorderStyle border)` Set bottom border.
    `void` | `setBorderDiagonal(BorderStyle border)` Set diagonal border.
    `void` | `setBorderHorizontal(BorderStyle border)` Set range internal horizontal borders.
    `void` | `setBorderLeft(BorderStyle border)` Set left border.
    `void` | `setBorderRight(BorderStyle border)` Set right border.
    `void` | `setBorderTop(BorderStyle border)` Set top border.
    `void` | `setBorderVertical(BorderStyle border)` Set range internal vertical borders.
    `void` | `setBottomBorderColor(Color color)`
    `void` | `setBottomBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setBottomBorderColor(short color)`
    `void` | `setDiagonalBorderColor(Color color)`
    `void` | `setDiagonalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setDiagonalBorderColor(short color)`
    `void` | `setHorizontalBorderColor(Color color)` Range internal border color, such as table styles
    `void` | `setHorizontalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setHorizontalBorderColor(short color)` Range internal border color, such as table styles
    `void` | `setLeftBorderColor(Color color)`
    `void` | `setLeftBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setLeftBorderColor(short color)`
    `void` | `setRightBorderColor(Color color)`
    `void` | `setRightBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setRightBorderColor(short color)`
    `void` | `setTopBorderColor(Color color)`
    `void` | `setTopBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setTopBorderColor(short color)`
    `void` | `setVerticalBorderColor(Color color)` Range internal border color, such as table styles
    `void` | `setVerticalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)`
    `void` | `setVerticalBorderColor(short color)` Range internal border color, such as table styles

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBorderBottom

          public BorderStyle getBorderBottom()

      Specified by:
        `getBorderBottom` in interface `BorderFormatting`

    - #### getBorderDiagonal

          public BorderStyle getBorderDiagonal()

      Specified by:
        `getBorderDiagonal` in interface `BorderFormatting`

    - #### getBorderLeft

          public BorderStyle getBorderLeft()

      Specified by:
        `getBorderLeft` in interface `BorderFormatting`

    - #### getBorderRight

          public BorderStyle getBorderRight()

      Specified by:
        `getBorderRight` in interface `BorderFormatting`

    - #### getBorderTopEnum

          public BorderStyle getBorderTopEnum()

      Specified by:
        `getBorderTopEnum` in interface `BorderFormatting`

    - #### getBorderBottomEnum

          public BorderStyle getBorderBottomEnum()

      Specified by:
        `getBorderBottomEnum` in interface `BorderFormatting`

    - #### getBorderDiagonalEnum

          public BorderStyle getBorderDiagonalEnum()

      Specified by:
        `getBorderDiagonalEnum` in interface `BorderFormatting`

    - #### getBorderLeftEnum

          public BorderStyle getBorderLeftEnum()

      Specified by:
        `getBorderLeftEnum` in interface `BorderFormatting`

    - #### getBorderRightEnum

          public BorderStyle getBorderRightEnum()

      Specified by:
        `getBorderRightEnum` in interface `BorderFormatting`

    - #### getBorderTop

          public BorderStyle getBorderTop()

      Specified by:
        `getBorderTop` in interface `BorderFormatting`

    - #### getBottomBorderColorColor

          public XSSFColor getBottomBorderColorColor()

      Specified by:
        `getBottomBorderColorColor` in interface `BorderFormatting`

    - #### getBottomBorderColor

          public short getBottomBorderColor()

      Specified by:
        `getBottomBorderColor` in interface `BorderFormatting`

    - #### getDiagonalBorderColorColor

          public XSSFColor getDiagonalBorderColorColor()

      Specified by:
        `getDiagonalBorderColorColor` in interface `BorderFormatting`

    - #### getDiagonalBorderColor

          public short getDiagonalBorderColor()

      Specified by:
        `getDiagonalBorderColor` in interface `BorderFormatting`

    - #### getLeftBorderColorColor

          public XSSFColor getLeftBorderColorColor()

      Specified by:
        `getLeftBorderColorColor` in interface `BorderFormatting`

    - #### getLeftBorderColor

          public short getLeftBorderColor()

      Specified by:
        `getLeftBorderColor` in interface `BorderFormatting`

    - #### getRightBorderColorColor

          public XSSFColor getRightBorderColorColor()

      Specified by:
        `getRightBorderColorColor` in interface `BorderFormatting`

    - #### getRightBorderColor

          public short getRightBorderColor()

      Specified by:
        `getRightBorderColor` in interface `BorderFormatting`

    - #### getTopBorderColorColor

          public XSSFColor getTopBorderColorColor()

      Specified by:
        `getTopBorderColorColor` in interface `BorderFormatting`

    - #### getTopBorderColor

          public short getTopBorderColor()

      Specified by:
        `getTopBorderColor` in interface `BorderFormatting`

    - #### setBorderBottom

          public void setBorderBottom(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set bottom border.
      Specified by:
        `setBorderBottom` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBorderDiagonal

          public void setBorderDiagonal(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set diagonal border.
      Specified by:
        `setBorderDiagonal` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBorderLeft

          public void setBorderLeft(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set left border.
      Specified by:
        `setBorderLeft` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBorderRight

          public void setBorderRight(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set right border.
      Specified by:
        `setBorderRight` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBorderTop

          public void setBorderTop(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set top border.
      Specified by:
        `setBorderTop` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBottomBorderColor

          public void setBottomBorderColor(Color color)

      Specified by:
        `setBottomBorderColor` in interface `BorderFormatting`

    - #### setBottomBorderColor

          public void setBottomBorderColor(short color)

      Specified by:
        `setBottomBorderColor` in interface `BorderFormatting`

    - #### setBottomBorderColor

          public void setBottomBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### setDiagonalBorderColor

          public void setDiagonalBorderColor(Color color)

      Specified by:
        `setDiagonalBorderColor` in interface `BorderFormatting`

    - #### setDiagonalBorderColor

          public void setDiagonalBorderColor(short color)

      Specified by:
        `setDiagonalBorderColor` in interface `BorderFormatting`

    - #### setDiagonalBorderColor

          public void setDiagonalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### setLeftBorderColor

          public void setLeftBorderColor(Color color)

      Specified by:
        `setLeftBorderColor` in interface `BorderFormatting`

    - #### setLeftBorderColor

          public void setLeftBorderColor(short color)

      Specified by:
        `setLeftBorderColor` in interface `BorderFormatting`

    - #### setLeftBorderColor

          public void setLeftBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### setRightBorderColor

          public void setRightBorderColor(Color color)

      Specified by:
        `setRightBorderColor` in interface `BorderFormatting`

    - #### setRightBorderColor

          public void setRightBorderColor(short color)

      Specified by:
        `setRightBorderColor` in interface `BorderFormatting`

    - #### setRightBorderColor

          public void setRightBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### setTopBorderColor

          public void setTopBorderColor(Color color)

      Specified by:
        `setTopBorderColor` in interface `BorderFormatting`

    - #### setTopBorderColor

          public void setTopBorderColor(short color)

      Specified by:
        `setTopBorderColor` in interface `BorderFormatting`

    - #### setTopBorderColor

          public void setTopBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### getBorderVertical

          public BorderStyle getBorderVertical()

      Description copied from interface: `BorderFormatting`
      Only valid for range borders, such as table styles
      Specified by:
        `getBorderVertical` in interface `BorderFormatting`
      Returns:
        border style

    - #### getBorderHorizontal

          public BorderStyle getBorderHorizontal()

      Description copied from interface: `BorderFormatting`
      Only valid for range borders, such as table styles
      Specified by:
        `getBorderHorizontal` in interface `BorderFormatting`
      Returns:
        border style

    - #### getBorderVerticalEnum

          public BorderStyle getBorderVerticalEnum()

      Description copied from interface: `BorderFormatting`
      Only valid for range borders, such as table styles
      Specified by:
        `getBorderVerticalEnum` in interface `BorderFormatting`
      Returns:
        border style

    - #### getBorderHorizontalEnum

          public BorderStyle getBorderHorizontalEnum()

      Description copied from interface: `BorderFormatting`
      Only valid for range borders, such as table styles
      Specified by:
        `getBorderHorizontalEnum` in interface `BorderFormatting`
      Returns:
        border style

    - #### getVerticalBorderColor

          public short getVerticalBorderColor()

      Description copied from interface: `BorderFormatting`
      Range internal borders. Only relevant for range styles, such as table formatting
      Specified by:
        `getVerticalBorderColor` in interface `BorderFormatting`
      Returns:
        color index

    - #### getVerticalBorderColorColor

          public XSSFColor getVerticalBorderColorColor()

      Description copied from interface: `BorderFormatting`
      Range internal borders. Only relevant for range styles, such as table formatting
      Specified by:
        `getVerticalBorderColorColor` in interface `BorderFormatting`
      Returns:
        color

    - #### getHorizontalBorderColor

          public short getHorizontalBorderColor()

      Description copied from interface: `BorderFormatting`
      Range internal borders. Only relevant for range styles, such as table formatting
      Specified by:
        `getHorizontalBorderColor` in interface `BorderFormatting`
      Returns:
        color index

    - #### getHorizontalBorderColorColor

          public XSSFColor getHorizontalBorderColorColor()

      Description copied from interface: `BorderFormatting`
      Range internal borders. Only relevant for range styles, such as table formatting
      Specified by:
        `getHorizontalBorderColorColor` in interface `BorderFormatting`
      Returns:
        color

    - #### setBorderHorizontal

          public void setBorderHorizontal(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set range internal horizontal borders.
      Specified by:
        `setBorderHorizontal` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setBorderVertical

          public void setBorderVertical(BorderStyle border)

      Description copied from interface: `BorderFormatting`
      Set range internal vertical borders.
      Specified by:
        `setBorderVertical` in interface `BorderFormatting`
      Parameters:
        `border` - The style of border to set.

    - #### setHorizontalBorderColor

          public void setHorizontalBorderColor(short color)

      Description copied from interface: `BorderFormatting`
      Range internal border color, such as table styles
      Specified by:
        `setHorizontalBorderColor` in interface `BorderFormatting`
      Parameters:
        `color` - index

    - #### setHorizontalBorderColor

          public void setHorizontalBorderColor(Color color)

      Description copied from interface: `BorderFormatting`
      Range internal border color, such as table styles
      Specified by:
        `setHorizontalBorderColor` in interface `BorderFormatting`
      Parameters:
        `color` - index

    - #### setHorizontalBorderColor

          public void setHorizontalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

    - #### setVerticalBorderColor

          public void setVerticalBorderColor(short color)

      Description copied from interface: `BorderFormatting`
      Range internal border color, such as table styles
      Specified by:
        `setVerticalBorderColor` in interface `BorderFormatting`
      Parameters:
        `color` - index

    - #### setVerticalBorderColor

          public void setVerticalBorderColor(Color color)

      Description copied from interface: `BorderFormatting`
      Range internal border color, such as table styles
      Specified by:
        `setVerticalBorderColor` in interface `BorderFormatting`
      Parameters:
        `color` - index

    - #### setVerticalBorderColor

          public void setVerticalBorderColor(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor color)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.